Subject: [Ietf-not43] RE: [email-masked] - Email found in subje ct - Re: [Ietf-no t43] Using <domain> element for WHOIS implementation

From: chris.ambler at enom.com (Chris Ambler)
Date: Mon Oct 13 20:56:42 2003

Absolutely. And I'd define an exception type to hold the data. Call it
SOAPWHOISException, and publish the definition for those who would consume
it.

Christopher

-----Original Message-----
From: Rick Wesson [mailto:[email-masked]] 
Sent: Monday, October 13, 2003 5:43 PM
To: Chris Ambler
Cc: [email-masked]
Subject: Re: [Ietf-not43] RE: [email-masked] - Email found in subject
- Re: [Ietf-no t43] Using <domain> element for WHOIS implementation

Chris,

wouldn't another option be to return a SOAP exception?

-rick

On Mon, 13 Oct 2003 17:26:05 -0700
Chris Ambler <[email-masked]> wrote:

> Right, I saw that. But let me reiterate - since I'm using SOAP, my return
> value is strongly-typed to be of the <domain> element. Not any of the
error
> elements. I can't choose which one to return. I have to return a <domain>
> element every time.
> 
> So I can return a <domain> element and set the <domainName> element to
some
> known invalid value, such as "eW-err::[error code]/[error description]" or
> some such, and leave the rest nil. But I was hoping that there might be
some
> way to return an error in the <domain> tag for those programs that return
> strongly-typed elements.
> 
> Christopher
> 
> 
> >----------
> >From: 	Andrew Newton[SMTP:[email-masked]]
> >Sent: 	Monday, October 13, 2003 5:13:25 PM
> >To: 	Chris Ambler
> >Cc: 	[email-masked]
> >Subject: 	[email-masked] - Email found in subject - Re:
> [Ietf-not43] Using <domain> element for WHOIS implementation
> >Auto forwarded by a Rule
> >
> The errors are in the IRIS core schema.
> 
> >            <element
> >              name="insufficientResources"
> >              type="iris:codeType" />
> >            <element
> >              name="invalidName"
> >              type="iris:codeType" />
> >            <element
> >              name="invalidSearch"
> >              type="iris:codeType" />
> >            <element
> >              name="limitExceeded"
> >              type="iris:codeType" />
> >            <element
> >              name="nameNotFound"
> >              type="iris:codeType" />
> >            <element
> >              name="permissionDenied"
> >              type="iris:codeType" />
> >            <element
> >              name="bagUnrecognized"
> >              type="iris:codeType" />
> >            <element
> >              name="bagUnacceptable"
> >              type="iris:codeType" />
> >            <element
> >              name="bagRefused"
> >              type="iris:codeType" />
> >            <element
> >              ref="iris:genericCode"/>
> 
> -andy
> 
> Chris Ambler wrote:
> > I'm working on a SOAP client for eNom's WHOIS implementation. At Rick 
> > Wesson's encouragement, we're going to use the <domain> element in 
> > IRIS-dreg as the standard XML return type.
> > 
> >  
> > 
> > The problem I'm having, however, is in determining what to return when a

> > WHOIS query has an error, either because of an internal failure, or the 
> > domain doesn't exist. Since our SOAP output is strongly typed, I have to

> > return a <domain> element - but there doesn't seem to be a facility for 
> > returning an error.
> > 
> >  
> > 
> > I could, of course, declare myself a new element that contains both 
> > error information and a single <domain> element, but that's breaking the

> > spirit of using an established element, so I'd prefer to avoid that.
> > 
> >  
> > 
> > Any suggestions? Am I overlooking something obvious again? J
> > 
> >  
> > 
> > Christopher
> > 
> > 
> > ------------------------------------------------------------------------
> > 
> > _______________________________________________
> > Ietf-not43 mailing list
> > [email-masked]
> > https://lists.verisignlabs.com/mailman/listinfo/ietf-not43
> 
> _______________________________________________
> Ietf-not43 mailing list
> [email-masked]
> https://lists.verisignlabs.com/mailman/listinfo/ietf-not43